{
  "name": "neues-studio/hyphen-dictionary",
  "type": "typo3-cms-extension",
  "description": "Adds server-side hyphen to text using a dictionary.",
  "homepage": "https://gitlab.com/neues-studio/hyphen-dictionary",
  "license": "GPL-2.0-or-later",
  "keywords": [
    "TYPO3",
    "extension",
    "hyphen"
  ],
  "authors": [
    {
      "name": "Tim Schreiner",
      "role": "Developer",
      "email": "dev@tim-schreiner.de"
    }
  ],
  "require": {
    "php": "^7.4 || ^8.0",
    "typo3/cms-core": "^10.4 || ^11.5"
  },
  "require-dev": {
    "friendsofphp/php-cs-fixer": "^3.9",
    "typo3/testing-framework": "^6.16.8",
    "saschaegerer/phpstan-typo3": "^1.8"
  },
  "autoload": {
    "psr-4": {
      "NeuesStudio\\HyphenDictionary\\": "Classes"
    }
  },
  "autoload-dev": {
    "psr-4": {
      "NeuesStudio\\HyphenDictionary\\Tests\\": "Tests"
    }
  },
  "replace": {
    "typo3-ter/hyphen-dictionary": "self.version"
  },
  "config": {
    "vendor-dir": ".Build/vendor",
    "bin-dir": ".Build/bin",
    "allow-plugins": {
      "typo3/class-alias-loader": true,
      "typo3/cms-composer-installers": true
    }
  },
  "scripts": {
    "phpcsfixer": "php-cs-fixer fix --config=.php-cs-fixer.dist.php -v --dry-run --using-cache=no --diff",
    "phpstan": "phpstan analyse --ansi --no-progress --memory-limit=1024M --configuration=phpstan.neon",
    "phpunit": "phpunit --color -c UnitTests.xml",
    "phpunit-functional": "phpunit --color -c FunctionalTests.xml",
    "post-autoload-dump": [
      "mkdir -p .Build/Web/typo3conf/ext/",
      "[ -L .Build/Web/typo3conf/ext/hyphen_dictionary ] || ln -snvf ../../../../. .Build/Web/typo3conf/ext/hyphen_dictionary"
    ]
  },
  "extra": {
    "typo3/cms": {
      "cms-package-dir": "{$vendor-dir}/typo3/cms",
      "web-dir": ".Build/Web",
	  "extension-key": "hyphen_dictionary"
    }
  }
}
